Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Interface IEssGridRange

All Superinterfaces:
  IEssBaseObject

public interface IEssGridRange
extends IEssBaseObject

The IEssGridRange interface is a range of grid cells.

Method Summary
`int` | `getCountColumns()` Gets the count of columns.
`int` | `getCountRows()` Gets the count of rows.
`int` | `getStartColumn()` Gets the start column.
`int` | `getStartRow()` Gets the start row.
`void` | `set(int startRow, int startColumn, int countRows, int countColumns)` Sets the grid range.

Method Detail

### set

    public void set(int startRow,
                    int startColumn,
                    int countRows,
                    int countColumns)
             throws EssException

  Sets the grid range.

  Parameters:
    `startRow` - The start row id.
    `startColumn` - The start column id.
    `countRows` - The count of rows.
    `countColumns` - The count of columns.
  Throws:
    `EssException` - if an error occurs.

### getStartRow

    public int getStartRow()
                    throws EssException

  Gets the start row.

  Returns:
    The start row id.
  Throws:
    `EssException` - if an error occurs.

### getStartColumn

    public int getStartColumn()
                       throws EssException

  Gets the start column.

  Returns:
    The start column id.
  Throws:
    `EssException` - if an error occurs.

### getCountRows

    public int getCountRows()
                     throws EssException

  Gets the count of rows.

  Returns:
    The count of rows.
  Throws:
    `EssException` - if an error occurs.

### getCountColumns

    public int getCountColumns()
                        throws EssException

  Gets the count of columns.

  Returns:
    The count of columns.
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD